package ogloszenia.klient_proxy;

import java.math.BigDecimal;

import org.jboss.resteasy.client.jaxrs.ResteasyClient;
import org.jboss.resteasy.client.jaxrs.ResteasyClientBuilder;
import org.jboss.resteasy.client.jaxrs.ResteasyWebTarget;

import ogloszenia.klient.Ustawienia;
import ogloszenia.model.Paliwo;
import ogloszenia.model.Samochodowe;

public class Klient42_Proxy_Post {
	public static void main(String[] args) {
		ResteasyClient client = (ResteasyClient)ResteasyClientBuilder.newClient();
        ResteasyWebTarget target = client.target(Ustawienia.URI_SERWISU);
		
		IOgloszenia proxy = target.proxy(IOgloszenia.class);

		Samochodowe noweOgloszenie = new Samochodowe(null, 2, null, new BigDecimal("33000.33"), "Warszawa", "Nowe BMW", "Sprzedam fajne BMW", "BMW", "X5", null, "czarny", 2010, 99900, 3.0f, 200, Paliwo.PB);
		System.out.println("Ogłoszenie do zapisania: " + noweOgloszenie);

		try {
			proxy.zapiszOgloszenie(noweOgloszenie);
			System.out.println("Zapisano ogłoszenie");
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
}
